group "TradeReferenceInformationContents.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 6 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
(originatingEvent? | terminatingEvent?)?, partyTradeIdentifier*, partyTradeInformation*, productType?, productId?

Content Model Elements (6):

  originatingEvent (in tradeReferenceInformation), partyTradeIdentifier (in tradeReferenceInformation), partyTradeInformation (in tradeReferenceInformation), | productId (in tradeReferenceInformation), productType (in tradeReferenceInformation), terminatingEvent (in tradeReferenceInformation)

Known Usage Locations

- In definitions of global complexTypes (1):
  TradeReferenceInformation

Annotation
Defines a model group that allows trade identifiers and/or trade information to be represented.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="TradeReferenceInformationContents.model"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"/> <xsd:element minOccurs="0" name="productType" type="ProductType"/> <xsd:element minOccurs="0" name="productId" type="ProductId"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/>

partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  This allows the acknowledging party to supply additional trade identifiers for a trade underlying a request relating to a business event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

partyTradeInformation

  Type: | PartyTradeInformation, complex content

  This allows the acknowledging party to supply additional trade information about a trade underlying a request relating to a business event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"/>

productId

  Type: | ProductId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="productId" type="ProductId"/>

productType

  Type: | ProductType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="productType" type="ProductType"/>

terminatingEvent

  Type: | TerminatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.